# H245_DialingInformationNumber Class Reference

`#include <h245.h>`

Inheritance diagram for H245_DialingInformationNumber:

List of all members.

## Public Types

enum | OptionalFields { e_subAddress }

## Public Member Functions

| H245_DialingInformationNumber (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_NumericString | m_networkAddress
PASN_IA5String | m_subAddress
H245_ArrayOf_DialingInformationNetworkType | m_networkType

## Member Enumeration Documentation

enum H245_DialingInformationNumber::OptionalFields

Enumerator:

  e_subAddress |

## Constructor & Destructor Documentation

H245_DialingInformationNumber::H245_DialingInformationNumber | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_DialingInformationNumber::GetDataLength | ( |  | ) | const

PBoolean H245_DialingInformationNumber::Decode | ( | PASN_Stream & | strm | ) |

void H245_DialingInformationNumber::Encode | ( | PASN_Stream & | strm | ) | const

void H245_DialingInformationNumber::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_DialingInformationNumber::Compare | ( | const PObject & | obj | ) | const

PObject* H245_DialingInformationNumber::Clone | ( |  | ) | const

## Member Data Documentation

PASN_NumericString H245_DialingInformationNumber::m_networkAddress

PASN_IA5String H245_DialingInformationNumber::m_subAddress

H245_ArrayOf_DialingInformationNetworkType H245_DialingInformationNumber::m_networkType

The documentation for this class was generated from the following file:

- h245.h